Loading...
Searching...
No Matches
CJostleableObject Class Referenceabstract

Interface for objects that can be jostled. More...

`#include <src/object/interface/jostleable_object.h>`

Inheritance diagram for CJostleableObject:
[legend]

## Public Member Functions

| CJostleableObject (ObjectInterfaceTypes &types)
virtual Math::Sphere | GetJostlingSphere () const =0
virtual bool | JostleObject (float force)=0

## Detailed Description

Interface for objects that can be jostled.

The documentation for this class was generated from the following file:

- src/object/interface/jostleable_object.h